Bug 41859

Summary: MathML-enabled WebKit build fails
Product: WebKit Reporter: red47514f7
Component: MathMLAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: bdakin, commit-queue, kenneth, sausset
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: OS X 10.5   
Attachments:
Description Flags
Fix none

Description red47514f7 2010-07-08 08:24:36 PDT
WebCore/html/HTMLTreeBuilder.cpp: 1421: error: 'mathMLNamespaceURI' is not a member of 'WebCore::MathMLNames'

Actually, "mathml" should be all-downcase.
Comment 1 Beth Dakin 2010-07-08 12:56:58 PDT
Mark fixed this yesterday.
Comment 2 red47514f7 2010-07-08 13:00:40 PDT
Sorry.. Probably I am just bad at picking correct nightlies for MathML support.
Comment 3 Beth Dakin 2010-07-08 13:01:50 PDT
No worries! It's good to file a bug like this!
Comment 4 Fran├žois Sausset 2010-07-09 06:27:56 PDT
(In reply to comment #1)
> Mark fixed this yesterday.

The problem persists on trunk r62944.

I'm going to attach a patch fixing this typo issue.
In addition, an extra parenthesis was present.

Such problems could have been avoided if MathML would have been turned on by default.
Comment 5 Fran├žois Sausset 2010-07-09 06:28:44 PDT
Created attachment 61040 [details]
Fix
Comment 6 Kenneth Rohde Christiansen 2010-07-10 08:38:11 PDT
Reopen as there is still a patch to be committed
Comment 7 WebKit Commit Bot 2010-07-10 09:02:12 PDT
Comment on attachment 61040 [details]
Fix

Clearing flags on attachment: 61040

Committed r63046: <http://trac.webkit.org/changeset/63046>
Comment 8 WebKit Commit Bot 2010-07-10 09:02:17 PDT
All reviewed patches have been landed.  Closing bug.